uses
  Math, SysUtils;

function Add(a, b: Int64): Int64;
var
  sr: String;
begin
  while (a > 0) and (b > 0) do begin
    sr := IntToStr(a mod 10 + b mod 10) + sr;
    a := a div 10;
    b := b div 10;
  end;
  if a > 0 then sr := IntToStr(a) + sr;
  if b > 0 then sr := IntToStr(b) + sr;
  Result := StrToInt64(sr);
end;

var
  f: TextFile;
  r: array [0 .. 2] of Int64;
  i, j: Integer;
  a, b, c, t: Int64;
begin
  AssignFile(f, 'input.txt'); Reset(f);
  Read(f, a, b, c);
  CloseFile(f);

  r[0] := Add(Add(a, b), c);
  r[1] := Add(Add(a, c), b);
  r[2] := Add(Add(b, c), a);
  for i := 0 to High(r) - 1 do
    for j := i + 1 to High(r) do
      if r[i] > r[j] then begin
        t := r[i]; r[i] := r[j]; r[j] := t;
      end;

  AssignFile(f, 'output.txt'); Rewrite(f);
  if (r[0] = r[1]) and (r[1] = r[2]) then
    Writeln(f, 'NO')
  else
    Writeln(f, 'YES');
  Writeln(f, r[0]);
  for i := 1 to High(r) do
    if r[i] <> r[i - 1] then Writeln(f, r[i]);
  CloseFile(f);
end.
